import { defineConfig, sharpImageService } from 'astro/config';
import svelte from "@astrojs/svelte";
import tailwind from "@astrojs/tailwind";
import configureI18n from "./astro-i18n.adapter";

// https://astro.build/config
export default defineConfig({
  output: "static",
  image: {
    service: sharpImageService(),
  },
  compressHTML: true,
  integrations: [svelte(), tailwind(), configureI18n()],
  vite: {},
});